
/* VIDEOS-HOME -------------------------------------------------------------- */

/* "!important" becomes practically mandatory to override bootstrap */

/* SEARCH */
.border-search-black { 
  border: 1px solid black; 
  background-color: rgb(244, 244, 245);
}

/* CARD ---------------------------------------------------------------------*/


/* .card_video{
  text-align:center; 
  position: relative;
} */

.card_video {
  position: relative;
  padding-bottom: 56.25%; /* 16:9 aspect ratio */
  height: 0;
  overflow: hidden;
  max-width: 100%;
  background: #000;
  border-radius: 8px;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 0;
}

/* Default: 3 columns for large screens */
.custom-col {
  flex: 0 0 33.33%;
  max-width: 33.33%;
}

    @media (min-width: 1101px) {
      .col-xl-4 {
        flex: 0 0 33.33%;
        max-width: 33.33%;
      }
    }

    /* Additional custom ranges for medium and small screens */
    @media (max-width: 1100px) {
      .col-xl-4 {
        flex: 0 0 50%;
        max-width: 50%;
      }
    }

    /* 2 columns for screens between 1000px and 1200px */
    @media (max-width: 1100px) {
      .custom-col {
        flex: 0 0 50% !important;
        max-width: 50% !important;
      }
    }

    /* 1 column for screens below 1000px */
    @media (max-width: 768px) {
      .custom-col {
        flex: 0 0 100% !important;
        max-width: 100% !important;
      }
    }





/* .card_video iframe{
    width: 100%;
    max-height: 210px;
    border-radius:8px;
    object-fit: cover;
} */

.card_video iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: none;
  border-radius: 8px;
  object-fit: cover;
}


.premium-icon {
  position: absolute;
  top: 5px;
  right: 5px;
  z-index: 10;
}

/* --------------------- */
.card_titleslink{
  display: flex;
  text-align: left; 
  padding-top:6px;
  padding-bottom: 6px;
  min-height: 80px;
  }

.card_titleslink a { 
  text-decoration: none; 
}  

.clickme{
  font-size: 12px;
  font-weight: 400;
  color:#a0a8b4;
} */

.card_titleslink img { 
  width: 25px;
  height: 25px;
  text-align: left;
  margin-right: 8px;
} 

.custom-tooltip{
  position: relative;
  display: inline-block;
}

.custom-tooltip .custom-tooltiptext {
  visibility: hidden;
  width: 250px;
  background-color: black;
  color: rgb(210, 217, 230);
  font-size: 17px;
  font-style: italic;
  text-align: justify;
  border-radius: 6px;
  padding: 10px 15px 10px 15px;
  position: absolute;
  z-index: 1;
  opacity: 0;
  transition: opacity 0.3s;
}

      @media (max-width: 400px) {
        .card_titleslink a{
        font-size: clamp(1.2rem, 5.5vw , 1.5rem);
        }
      }

/* Top Tooltip */
.custom-tooltip:hover .custom-tooltiptext {
  visibility: visible;
  opacity: 1;
  bottom: 125%; /* Position above the link */
  left: 50%;
  transform: translateX(-50%);
}

    /* @media (max-width: 420px) {
      .custom-tooltip:hover .custom-tooltiptext {
        bottom: 0%;
      }
    } */

.custom-tooltip:hover .custom-tooltiptext::after {
  content: '';
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: black transparent transparent transparent;
}

/* --------------------- */

.date_and_author{
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  justify-content: space-between;
}

.video_date_publication {
  display: flex;
  justify-content: space-between;
}


.video_date_publication img {
  width: 25px;
  height: 25px;
  text-align: left;
  margin-right: 8px;
}

.video_author{
  display: flex;
  flex-direction: row;
  /* justify-content: space-between; */
  margin-right: 10px;
}

.video_author IMG {
  width: 25px;
  height: 25px;
  /* border: 2px solid #243042; */
  border: 1px solid #4b658b;
  border-radius: 50%;
  object-position: cover;
  text-align: left;
  margin-right: 8px;
  /* filter: grayscale(100%);  */
}


    @media (max-width: 400px) {
      .date_and_author{
        display: flex;
        flex-direction: column;
        justify-content: left;
        margin-left: 0px;
        margin-bottom: 15px;
        }
      .video_date_publication {  
        justify-content: left;
        font-size: clamp(0.8rem, 5vw , 1rem);

      }
      .video_author{
        /* justify-content: left; */
        text-align: left;
        margin-left: 0px;
        font-size: clamp(0.8rem, 5vw , 1rem);
      }
    }







/* ----------------------- */


.custom-tooltip_uploader{
  position: relative;
  display: inline-block;
}

.custom-tooltip_uploader .custom-tooltiptext_uploader {
  visibility: hidden;
  width: 100px;
  /* background-color: rgb(12, 59, 130); */
  background-color: black;
  color: rgb(210, 217, 230);
  font-size: 17px;
  font-style: italic;
  text-align: CENTER;
  border-radius: 6px;
  padding: 5px;
  position: absolute;
  z-index: 1;
  opacity: 0;
  transition: opacity 0.3s;
}
/* 
    @media (max-width: 420px) {
      .custom-tooltip_uploader .custom-tooltiptext_uploader  {
        width: 0px;
        height: 0px;
      }
    } */

/* Top Tooltip */
.custom-tooltip_uploader:hover .custom-tooltiptext_uploader {
  visibility: visible;
  opacity: 1;
  bottom: 125%; /* Position above the link */
  left: 50%;
  transform: translateX(-50%);
}

.custom-tooltip_uploader:hover .custom-tooltiptext_uploader::after {
  content: '';
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: black transparent transparent transparent;
}


/* ------------------------ */


.card_description p {
  font-size: 16px;
  margin-top: 0px;
  text-align: left;
}

.card_description a {
  text-decoration: none;
  color: black;
}

.custom-tooltip_description{
  display: inline;
  position: relative;
}

.custom-tooltip_description .custom-tooltiptext_description {
  visibility: hidden;
  width: 180px;
  /* background-color: rgb(12, 59, 130); */
  background-color: rgb(49, 147, 73);
  color: white;
  font-size: 17px;
  font-style: italic;
  text-align: CENTER;
  border-radius: 6px;
  padding: 5px;
  position: absolute;
  z-index: 1;
  opacity: 0;
  transition: opacity 0.3s;
}

    /* @media (max-width: 420px) {
      .custom-tooltip_description .custom-tooltiptext_description {
        width: 0px;
        height: 0px;
      }
    } */

/* Top Tooltip */
.custom-tooltip_description:hover .custom-tooltiptext_description {
  visibility: visible;
  opacity: 1;
  bottom: 100%; /* Position above the link */
  left: 80%;
  transform: translateX(-50%);
}

    @media (max-width: 420px) {
      .custom-tooltip_description:hover .custom-tooltiptext_description {
        bottom: 0%;
      }
    }

.custom-tooltip_description:hover .custom-tooltiptext_description::after {
  content: '';
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: black transparent transparent transparent;
}
/* 
    @media (max-width: 420px) {
      .custom-tooltip_description:hover .custom-tooltiptext_description::after {
        top: 0%;
      }
    } */
   
    @media (max-width: 768px) {
      .custom-tooltip .custom-tooltiptext,
      .custom-tooltip_uploader .custom-tooltiptext_uploader,
      .custom-tooltip_description .custom-tooltiptext_description {
          display: none; /* Completely remove tooltips for small screens */
      }
  } 



/* PAGINATOR ------------------------ */

/* styles.css */

.parent-container {
  display: flex;
  justify-content: center;
}

.navigation {
  display: flex;
  justify-content: center;
  margin-bottom: 8px;
}

/* Style the pagination links */




